#define SPEAKER_PIN 6
#define POT_PIN A0
byte lastPotPos = 0;

void setup() {
   Serial.begin(9600);
}

void loop() {

  byte potPos;
  
  // Look for sound commands
  if (Serial.available()) {
    switch (Serial.read()) {
      case 1 : tone(SPEAKER_PIN, 150, 15); break;
      case 2: tone(SPEAKER_PIN, 700, 20); break;
      case 3: tone(SPEAKER_PIN, 100, 100); break;
      default: noTone(SPEAKER_PIN);
    } 
  }
  
  // Read potentiometer 20 times per second
  delay(50); 
  
  // The ">> 2" part divides the 10-bit result by 4
  // to reduce noise and make it an 8-bit Byte
  potPos = analogRead(POT_PIN) >> 2;
  if ( potPos != lastPotPos) {
    Serial.write(potPos);
    lastPotPos = potPos;
  }  
    
}
